## Laravel Api Startup

"Laravel api startup" is a Laravel project for start build an Api quickly! 

[![Tweet](https://img.shields.io/twitter/url/http/shields.io.svg?style=social)](https://twitter.com/intent/tweet?text=Build+perfect+api+quickly.+https%3A%2F%2Fgithub.com%2Fyedincisenol%2Flaravel-api-startup+%40yedincisenol) 

[![Price](https://img.shields.io/badge/price-FREE-0098f7.svg?style=for-the-badge)](https://github.com/froala/design-blocks/blob/master/LICENSE) 
[![Github All Releases](https://img.shields.io/github/downloads/yedincisenol/laravel-api-startup/total.svg?style=for-the-badge)]()
[![Docker Pulls](https://img.shields.io/docker/pulls/yedincisenol/laravel-api-startup.svg?style=for-the-badge)]()
[![Swagger Validator](https://img.shields.io/swagger/valid/2.0/https/raw.githubusercontent.com/yedincisenol/laravel-api-startup/master/public/swagger.yaml.svg?style=for-the-badge)]()
[![Travis](https://img.shields.io/travis/rust-lang/rust.svg?style=for-the-badge)](https://github.com/yedincisenol/laravel-api-startup)

### Features

- Api Authentication with [Laravel Passport](https://laravel.com/docs/5.4/passport)
- User authentication with [oAuth2 Server](https://github.com/thephpleague/oauth2-server)
- User token scopes with  [Laravel Passport](https://laravel.com/docs/5.4/passport) and  [oAuth2 Server](https://github.com/thephpleague/oauth2-server)
- Api response transformers, related models for customize endpoint response with [Dingo Api](https://github.com/dingo/api)
- Rate limiting with [Dingo Api](https://github.com/dingo/api)
- Response transformers with [Dingo Api](https://github.com/dingo/api)
- Notification send with [Onesignal](https://github.com/berkayk/laravel-onesignal)
- Ready user device endpoints for notification to users via devices
- Ready api versions
- Ready postman collection for Frontend Developer
- Ready api test with Postman  
- Ready api documents for Frontend & Api developer (Visit Wiki)
- Ready Android client template: https://github.com/salyangoz/api-startup-android
- Ready Dashboard client template: https://github.com/yedincisenol/api-startup-dashboard
- Ready user roles mechanism
- Ready travis CI integration
- Password update
- Ready localization with `timezone` header
## Let's Start

For start installation please visit Wiki page

## What is next?
- Fix `500` response code to `401` on   `Unauthenticated` state
- Filterable
- Username update
- Documentation for new services
- `name` validation on `self/update`
- Send validation errors at `message` property of responses

## Contributing

- Integrate an new service
- Open issue any bug on the project
- Add more document about the project

## Security Vulnerabilities

If you discover a security vulnerability within Laravel api startup, please send an e-mail to İbrahim S. Orencik at o@yedincisenol.com. All security vulnerabilities will be promptly addressed.
